package com.dcsoft.system.service;


import com.dcsoft.system.domain.SysPeopleOther;

import java.util.List;

/**
 * 人员管理Service接口
 *
 * @author nichun
 * @date 2023-03-08
 */
public interface ISysPeopleOtherService
{
    /**
     * 查询人员管理
     *
     * @param id 人员管理主键
     * @return 人员管理
     */
    public SysPeopleOther selectSysPeopleOtherById(Long id);

    /**
     * 查询人员管理列表
     *
     * @param sysPeople 人员管理
     * @return 人员管理集合
     */
    public List<SysPeopleOther> selectSysPeopleOtherList(SysPeopleOther sysPeople);

    public List<SysPeopleOther> selectSysPeopleOtherLists(SysPeopleOther sysPeople);

    /**
     * 新增人员管理
     *
     * @param sysPeople 人员管理
     * @return 结果
     */
    public int insertSysPeopleOther(SysPeopleOther sysPeople);

    /**
     * 修改人员管理
     *
     * @param sysPeople 人员管理
     * @return 结果
     */
    public int updateSysPeopleOther(SysPeopleOther sysPeople);

    /**
     * 批量删除人员管理
     *
     * @param ids 需要删除的人员管理主键集合
     * @return 结果
     */
    public int deleteSysPeopleOtherByIds(Long[] ids);

    /**
     * 删除人员管理信息
     *
     * @param id 人员管理主键
     * @return 结果
     */
    public int deleteSysPeopleOtherById(Long id);

    SysPeopleOther selectByGuid(SysPeopleOther sysPeople);

    SysPeopleOther selectSysPeopleByUserId(Long userId);

    SysPeopleOther selectSysPeopleByBranchUser(String branchName, String userName);

    public String importPeople(List<SysPeopleOther> userList, boolean updateSupport, String operName);



    SysPeopleOther selectSysPeopleByPhoneUser(SysPeopleOther people);

    List<SysPeopleOther> queryPeopleInfo();

    List<SysPeopleOther> queryPeople(List<String> collectStr);

    SysPeopleOther queryPeopleDetails(String details);

    public int updateSysPeoples(SysPeopleOther sysPeople);

    public int insertSysPeoples(SysPeopleOther sysPeople);

    public int deleteSysPeopleOtherByGuid(String guid);

    void updatePeople(SysPeopleOther people);

    String selectDoorNo(Long id);

    String selectPeopleById(String card);

    void updatePeopleInfo(SysPeopleOther sysPeople);

    SysPeopleOther queryPeopleById(String id);

    SysPeopleOther selectSysPeopleByOpenId(String openid);

    SysPeopleOther selectSysPeopleByGh(String phone, String name);

    SysPeopleOther queryPeopleName(String phone);

    List<SysPeopleOther> queryPeopleList(SysPeopleOther sysPeople);
}
